{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
{-# OPTIONS_GHC -fno-warn-implicit-prelude #-}
module Paths_non_empty_zipper (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/isaac/.cabal/bin"
libdir     = "/home/isaac/.cabal/lib/x86_64-linux-ghc-8.0.1/non-empty-zipper-0.1.0.0-AA3uqRxiCyIKe6pjfbiVUM"
dynlibdir  = "/home/isaac/.cabal/lib/x86_64-linux-ghc-8.0.1"
datadir    = "/home/isaac/.cabal/share/x86_64-linux-ghc-8.0.1/non-empty-zipper-0.1.0.0"
libexecdir = "/home/isaac/.cabal/libexec"
sysconfdir = "/home/isaac/.cabal/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "non_empty_zipper_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "non_empty_zipper_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "non_empty_zipper_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "non_empty_zipper_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "non_empty_zipper_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "non_empty_zipper_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
